<template>
    <div class="times">
        <router-link
            :to="`/football/match/${eventId}/1x2#time-full`"
            exact-active-class="active"
            :class="['times-item', {active: activeType == '1X2'}]">
            <span class="icon">
                <svg><use xlink:href="#time-full" /></svg>
            </span> <span class="text">Full Time</span>
        </router-link>
        <router-link
            :to="`/football/match/${eventId}/1x2#clock-first-half`"
            exact-active-class="active"
            :class="['times-item', {active: activeType == '1X2'}]">
            <span class="icon">
                <svg><use xlink:href="#clock-first-half"/></svg>
            </span> <span class="text">1st Half</span>
        </router-link>
        <router-link
            :to="`/football/match/${eventId}/1x2#clock-second-half`"
            exact-active-class="active"
            :class="['times-item', {active: activeType == '1X2'}]">
            <span class="icon">
                <svg><use xlink:href="#clock-second-half"/></svg>
            </span> <span class="text">2nd Half</span>
        </router-link>

    </div>
</template>

<script>
export default {
    name: 'MatchTimes',
    props: {
        activeType: {
            type: String,
            required: true
        },
        matchId: {
            type: String,
            required: true
        },
        eventId: {
            required: true
        }
    }
}
</script>
